"""Mappings for sourcing Yahoo price data."""

EXCHANGE_TO_CALENDAR: dict = {
    "São Paulo": "BVMF",
    "Thailand": "XBKK",
    "Stockholm": "XSTO",
    "Prague": "XPRA",
    "Taiwan": "XTAI",
    "Jakarta": "XIDX",
    "Kuala Lumpur": "XKLS",
    "Paris": "XPAR",
    "SES": "XSES",
    "Amsterdam": "XAMS",
    "Shanghai": "XSHG",
    "XETRA": "XFRA",
    "HKSE": "XHKG",
    "ASX": "XASX",
    "Vienna": "XWBO",
    "MCX": "XMOS",
    "Budapest": "XBUD",
    "Irish": "XICE",
    "Brussels": "XBRU",
    "Philippine": "XPHS",
    "Copenhagen": "XCSE",
    "Swiss": "XSWX",
    "Buenos Aires": "XBUE",
    "NZSE": "XNZE",
    "NSE": "XBOM",
    "YHD": "XBOM",
    "BSE": "XBOM",
    "Toronto": "XTSE",
    "Johannesburg": "XJSE",
    "Santiago": "XSGO",
    "Istanbul": "XIST",
    "NasdaqGS": "NASDAQ",
    "Nasdaq GIDS": "NASDAQ",
    "NYSE": "XNYS",
    "DJI": "XNYS",
    "SNP": "XNYS",
    "Lisbon": "XLIS",
    "Mexico": "XMEX",
    "KOSDAQ": "XKRX",
    "KSE": "XKRX",
    "Helsinki": "XHEL",
    "Tokyo": "XTKS",
    "Osaka": "XTKS",
    "MCE": "XMAD",
    "Milan": "XMIL",
    "LSE": "XLON",
    "FTSE Index": "XLON",
    "Oslo": "XOSL",
    "CCC": "24/7",
    "CCY": "24/5",
}

DELAY_MAPPING: dict = {
    "^BUX.BD": 0,
    "^SET.BK": 15,
    "XU100.IS": 15,
    "IDX30.JK": 10,
    "PSI20.LS": 15,
    "IMOEX.ME": 0,
    "IT4500.MI": 15,
    "INMEX.MX": 20,
    "NZ50C.NZ": 20,
    "OBX.OL": 15,
    "WISGP.SI": 15,
    "SP-IPSA.SN": 20,
    "^AEX": 15,
    "^ATX": 15,
    "^AXJO": 20,
    "^BFX": 15,
    "^BSESN": 0,
    "^DJI": 0,
    "^FCHI": 15,
    "^FTMC": 15,
    "^FTSE": 15,
    "^GDAXI": 15,
    "^GSPC": 0,
    "^GSPTSE": 0,
    "^HSI": 15,
    "^IBEX": 15,
    "^ISEQ": 15,
    "^IXIC": 0,
    "^KLSE": 15,
    "^KS11": 20,
    "^N225": 20,
    "^NSEI": 0,
    "^OMX": 0,
    "^TWII": 20,
    ".AS": 15,
    ".AX": 20,
    ".BA": 20,
    ".BD": 35,
    ".BK": 30,
    ".BO": 0,
    ".BR": 15,
    ".CO": 0,
    ".DE": 15,
    ".HE": 0,
    ".HK": 15,
    ".IR": 30,
    ".IS": 15,
    ".JK": 10,
    ".JO": 15,
    ".KL": 15,
    ".KQ": 20,
    ".L": 15,
    ".LS": 15,
    ".MC": 15,
    ".ME": 0,
    ".MI": 15,
    ".MX": 20,
    ".NS": 0,
    ".NZ": 20,
    ".OL": 15,
    ".PA": 15,
    ".PR": 20,
    ".PS": 15,
    ".SI": 10,
    ".SN": 40,
    ".SS": 15,
    ".ST": 0,
    ".SW": 15,
    ".T": 20,
    ".TO": 0,
    ".TW": 20,
    ".VI": 15,
    ".SA": 15,
}
